Subject: bug#14567: These changes sometimes break plain text navigation

From: Dima Kogan <[email-masked]>
Date: Sat, 06 Jul 2013 21:46:36 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Dima Kogan <[email-masked]>
>> Date: Sat, 06 Jul 2013 14:51:07 -0700
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > Please try the latest trunk and see if the problem with that font and
>> > global-hl-line-mode is solved.
>> 
>> I applied this patch:
>> 
>>  http://git.savannah.gnu.org/cgit/emacs.git/diff/?id=daec5594cd21e30469f2a489875a89c8e931bee9
>> 
>> and tried again. It's better, but not 100% fixed yet. The previous
>> behavior of sticking until scrolling was no longer possible is now
>> replaced with sticking for a few presses of C-n. As before, turning off
>> global-hl-line-mode fixes it. Let me know what I can do to help debug.
>
> Don't you see the same in Emacs 24.3?  If so, the changes that were
> done to allow smoother scrolling of tall images are no longer
> responsible.

Aha. It does seem like the behavior before the changes introduced by
this bug and the behavior after your new patch are very similar. Thanks!

It does seem like a bug to me that the sticking happens at all,
especially given that it depends on global-hl-line-mode. Should I file a
separate bug for that?

Thanks again.